using UnityEngine;

public class RoseProgress : MonoBehaviour
{
    public void Progress(string str)
    {
        switch (str)
        {
            case "pegar vaso":
                    Control.inventory.GetItem("Vaso");
                    Control.estadoDoVaso = 1; break;
            case "colocar vaso":
                if (Control.inventory.CheckItem("Vaso") < 0)
                    Dialog.PlayScene("semvaso");
                else
                {
                    Control.inventory.UseItem("Vaso");
                    Control.estadoDoVaso = 2;
                }
                break;
            case "colocar adubo":
                if (Control.inventory.CheckItem("Adubo") < 0)
                    Dialog.PlayScene("semadubo");
                else
                {
                    Control.inventory.UseItem("Adubo");
                    Control.estadoDoVaso = 3;
                }
                break;
            case "colocar semente":
                if (Control.inventory.CheckItem("Semente") < 0)
                    Dialog.PlayScene("semsemente");
                else
                {
                    Control.inventory.UseItem("Semente");
                    Control.estadoDoVaso = 4;
                }
                break;

        }
    }
    
}
